package com.bocloud.sms.booter.controller;

import com.bocloud.sms.interfaces.SysDateViewService;
import com.megatron.common.model.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName: SysDateViewController
 * @Description: 系统数据统计概览
 * @Author lxy
 * @Date 2021/9/29 10:09
 */
@RestController
@RequestMapping("/v1/system")
@Tag(name = "系统数据统计概览")
public class SysDateViewController {
    @Autowired
    private SysDateViewService sysDateViewService;

    /**
     * 用户访问控制数据统计
     *
     * @return 用户访问控制数据
     */
    @Operation(summary = "用户访问控制数据统计")
    @GetMapping("/count")
    public Result systemCount() {
        return sysDateViewService.systemCount();
    }
}
