package com.bocloud.sms.interfaces;

import com.bocloud.sms.entity.NameRule;
import com.megatron.common.model.*;

/**
 * 命名规则service实现
 *
 * @author wangyu
 * @version 3.0.0-SNAPSHOT
 * @since 2018/7/2
 */
public interface NameRuleService {

    /**
     * 查询命名规则列表
     *
     * @param pager
     * @param context
     * @return
     */
    GeneralResult<GridBean<NameRule>> list(Pager pager, RequestContext context);

    /**
     * 查看命名规则详情
     *
     * @param id
     * @return
     */
    GeneralResult<NameRule> detail(Long id);

    /**
     * 创建命名规则
     *
     * @param nameRule
     * @param context
     * @return
     */
    GeneralResult<NameRule> create(NameRule nameRule, RequestContext context);

    /**
     * 更新命名规则
     *
     * @param nameRule
     * @param context
     * @return
     */
    Result modify(NameRule nameRule, RequestContext context);

    /**
     * 删除命名规则
     *
     * @param id
     * @return
     */
    Result remove(Long id);

    /**
     * 生成命名
     *
     * @param id
     * @param tenantId
     * @param userId
     * @param projectId
     * @return
     */
    GeneralResult<String> generate(Long id, Long tenantId, Long userId, Long projectId, RequestContext context);

}
