package com.bocloud.sms.service.utils;

import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import okhttp3.*;

import javax.net.ssl.*;
import java.io.IOException;
import java.security.KeyManagementException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.CertificateException;
import java.util.concurrent.TimeUnit;

@Slf4j
public class HttpClientUtil {

    private static final TrustManager[] trustAllCerts = new TrustManager[]{new X509TrustManager() {
        @Override
        public void checkClientTrusted(java.security.cert.X509Certificate[] chain, String authType)
                throws CertificateException {
        }

        @Override
        public void checkServerTrusted(java.security.cert.X509Certificate[] chain, String authType)
                throws CertificateException{
        }

        @Override
        public java.security.cert.X509Certificate[] getAcceptedIssuers(){
            return new java.security.cert.X509Certificate[]{};
        }
    }};

    private static SSLContext trustAllSslContext;
    static{
        try {
            trustAllSslContext = SSLContext.getInstance( "SSL" );
            trustAllSslContext.init( null, trustAllCerts, new java.security.SecureRandom() );
        } catch (NoSuchAlgorithmException | KeyManagementException e) {
            throw new RuntimeException( e );
        }
    }

    private static final SSLSocketFactory trustAllSslSocketFactory = trustAllSslContext.getSocketFactory();
    public static OkHttpClient trustAllSslClient(OkHttpClient client){
        OkHttpClient.Builder builder = client.newBuilder();
        builder.sslSocketFactory( trustAllSslSocketFactory, (X509TrustManager) trustAllCerts[0] );
        builder.hostnameVerifier((hostname, session) -> true);
        return builder.build();
    }
    public static String invoke(String content, String url) {
        OkHttpClient client_t = new OkHttpClient.Builder().build();
        OkHttpClient client = trustAllSslClient(client_t);
        MediaType mediaType = MediaType.parse("application/json");
        RequestBody body = RequestBody.create(mediaType, content);
        Request request = new Request.Builder()
                .url(url)
                .method("POST", body)
                .header("Content-Type", "application/json")
                .build();
        log.info("==========单点对接地址==========" + url);
        log.info("==========单点对接参数==========" + content);
        try (Response response = client.newCall(request).execute()) {
            log.info("==========单点对接返回code==========" + response.code());
            log.info("==========单点对接返回message==========" + response.message());
            if (response.body() != null) {
                String string = response.body().string();
                log.info("==========单点对接返回body==========" + string);
                return string;
            }
        } catch (IOException e) {
            log.error("接口调用异常：", e);
        }
        return null;
    }

}
