package com.bocloud.sms.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * api token关连表实体类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("api_token")
public class ApiToken extends Generic {
    /**
     * id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("token")
    private String token;
    @Column("apis")
    private String apis;
    @Column("remark")
    private String remark;
    @Column("is_deleted")
    private Boolean deleted;
    // 创建时间
    @Column("gmt_create")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    // 修改时间
    @Column("gmt_modify")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;
    // 创建人
    @Column("creator_id")
    private Long creatorId;
    // 修改人
    @Column("mender_id")
    private Long menderId;
    @Column("enabled")
    private Boolean enabled;

    public Boolean getEnabled() {
        return null == enabled ? false : enabled;
    }

}
