package com.bocloud.sms.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 业务实体类
 *
 * @author wangyu
 * @version 4.1.0-SNAPSHOT
 * @since 2018/12/24
 */
@Table("business")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class Business extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("code")
    private String code;
    @IgnoreAll
    private Integer projectNum;
    @IgnoreAll
    private String projects;
    @IgnoreAll
    private List<Long> projectIds;
    @Column("tenant_id")
    private Long tenantId;

    public Business(Long id, String code, Integer projectNum, Long tenantId) {
        this.id = id;
        this.code = code;
        this.projectNum = projectNum;
        this.tenantId = tenantId;
    }
}
