package com.bocloud.sms.entity;

import com.megatron.common.utils.DateDeserializer;
import com.megatron.common.utils.DateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 系统公告
 */

@Data
@EqualsAndHashCode(callSuper = true)
@AllArgsConstructor
@NoArgsConstructor
@Table("system_notice")
public class SystemNotice extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    // 标题
    @Column("title")
    private String title;
    // 内容
    @Column("content")
    private String content;
    // 发布范围：全员、管理端用户、租户端用户、指定用户
    @Column("send_groups")
    private String sendGroups;
    // 发送方式： 邮件、站内信、企业微信、钉钉、短信
    @Column("send_ways")
    private String sendWays;
    // 账号
    @Column("accounts")
    private String accounts;
    // 邮箱
    @Column("emails")
    private String emails;
    // 钉钉
    @Column("dings")
    private String dings;
    // 微信
    @Column("wechats")
    private String wechats;
    // 手机号码
    @Column("phones")
    private String phones;
    // 发布时间  立即、定时
    @Column("send_type")
    private String sendType;
    // 发布时间
    @JsonSerialize(using = DateSerializer.class)
    @JsonDeserialize(using = DateDeserializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column("send_time")
    private Date sendTime;

    @IgnoreAll
    private String creatorName;


}
