package com.bocloud.sms.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 用户与项目之间的关系表
 *
 * @author admin
 */
@EqualsAndHashCode(callSuper = true)
@Table("user_project")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserProject extends Generic {
    /**
     * id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 用户id
     */
    @Column("user_id")
    private Long userId;
    /**
     * 项目id
     */
    @Column("project_id")
    private Long projectId;
    /**
     * 是否是项目管理员
     */
    @Column("project_admin")
    private Boolean projectAdmin;
}