package com.bocloud.sms.model;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 租户业务类
 *
 * @author bocloud
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TenantModel {
    /**
     * 租户名称
     */
    private String name;
    /**
     * 账号
     */
    private String account;
    /**
     * 密码
     */
    private String password;
    /**
     * 集团编码
     */
    private String groupCode;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * 联系人姓名
     */
    private String contactName;
    /**
     * 联系人邮箱
     */
    private String contactEmail;
    /**
     * 联系人电话
     */
    private String contactPhone;
    /**
     * 折扣率
     */
    private BigDecimal discount;
    /**
     * 到期时间
     */
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expiredDate;
    /**
     * 租户描述
     */
    private String remark;
    /**
     * 租户头像
     */
    private String portrait;
    /**
     * 是否开启配额
     */
    private Boolean quotaAble;
    /**
     * 组织id
     */
    private Long departId;


    /**
     * 组织级联id
     */
    private List<String> departIds;

    /**
     * 服务授权对象
     */
    private List<ServiceBean> services;
    private List<MetaBean> metas;
    private List<Long> groupIds;
}
