package com.bocloud.sms.repository;

import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.database.utils.QueryBuilder;
import com.bocloud.sms.entity.LogArchiveRecord;
import com.megatron.common.model.Pager;
import com.megatron.common.model.Param;
import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @author tyl
 */
@Service("logArchiveRecordRepository")
public class LogArchiveRecordRepository extends BasicGenericDao<LogArchiveRecord, Long> {

    public LogArchiveRecordRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public List<LogArchiveRecord> list(int page, int rows, List<Param> params, Map<String, String> sorter)
            throws Exception {
        String sql = "select a.* from log_archive_record a where 1 = 1 ";
        sql = getQueryBuilder().buildRaw(sql, new Pager(page, rows, params, sorter), "a");
        return this.list(LogArchiveRecord.class, sql);
    }

    public int count(List<Param> params) throws Exception {
        String sql = "select count(1) from log_archive_record where 1 = 1 ";
        sql = getQueryBuilder().buildRaw(sql, params, null, "");
        return this.countQuery(sql, getQueryBuilder().getParam(params)).intValue();
    }

}
